Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.controller.model
Class ControllerContext

    java.lang.Object
      com.intel.cosbench.controller.model.ControllerContext

All Implemented Interfaces:
  ControllerInfo

    public class ControllerContext

extends java.lang.Object
implements ControllerInfo

This class encapsulates the configurations in controller.conf.

Author:
  ywang19

Constructor Summary
`ControllerContext()`

Method Summary
`int` | `getConcurrency()`
`int` | `getDriverCount()`
`DriverInfo[]` | `getDriverInfos()`
`DriverRegistry` | `getDriverRegistry()`
`java.lang.String` | `getName()`
`java.lang.String` | `getUrl()`
`void` | `setConcurrency(int concurrency)`
`void` | `setDriverRegistry(DriverRegistry driverRegistry)`
`void` | `setName(java.lang.String name)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerContext

    public ControllerContext()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ControllerInfo`

### setName

    public void setName(java.lang.String name)

### getUrl

    public java.lang.String getUrl()

  Specified by:
    `getUrl` in interface `ControllerInfo`

### setUrl

    public void setUrl(java.lang.String url)

### getConcurrency

    public int getConcurrency()

### setConcurrency

    public void setConcurrency(int concurrency)

### getDriverRegistry

    public DriverRegistry getDriverRegistry()

### setDriverRegistry

    public void setDriverRegistry(DriverRegistry driverRegistry)

### getDriverCount

    public int getDriverCount()

  Specified by:
    `getDriverCount` in interface `ControllerInfo`

### getDriverInfos

    public DriverInfo[] getDriverInfos()

  Specified by:
    `getDriverInfos` in interface `ControllerInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD